<%@ Page Language="C#" %>
<%@ assembly name="MW6PDF417ASPNet" %>
<%@ import Namespace="System.Drawing" %>
<%@ import Namespace="System.Drawing.Drawing2D" %>
<%@ import Namespace="MW6PDF417ASPNet" %>
<script runat="server">

    void OutputImg()
    {
        Bitmap objBitmap;
        Graphics objGraphics;

        Response.ContentType = "image/Gif";

        int _ImgWidth = System.Convert.ToInt16(Request["Width"]);
        int _ImgHeight = System.Convert.ToInt16(Request["Height"]);
        
        objBitmap = new Bitmap(_ImgWidth, _ImgHeight);
        objGraphics = Graphics.FromImage(objBitmap);
        
        PDF417 MyPDF417 = new PDF417();
        MyPDF417.BackColor =  Color.FromName(Request.QueryString["BackColor"]);
        MyPDF417.BarColor =  Color.FromName(Request.QueryString["BarColor"]);
        MyPDF417.Data = Request.QueryString["Data"];
        MyPDF417.ErrorCorrectionLevel = (enumSecurity)System.Convert.ToInt16(Request.QueryString["ECLevel"]);
        MyPDF417.NarrowBarWidth = (float)System.Convert.ToDouble(Request.QueryString["NarrowBarWidth"]);
        MyPDF417.Orientation = (enumOrientation)System.Convert.ToInt16(Request.QueryString["Orientation"]);
        MyPDF417.Columns = System.Convert.ToInt16(Request.QueryString["PDFColumns"]);
        MyPDF417.Rows = System.Convert.ToInt16(Request.QueryString["PDFRows"]);
        MyPDF417.TruncatedSymbol = (Request.QueryString["TruncatedSymbol"]=="ON");
        MyPDF417.XtoYRatio = (float)System.Convert.ToDouble(Request.QueryString["XtoYRatio"]);
   
	Rectangle rc = new Rectangle(0, 0, _ImgWidth, _ImgHeight);
        MyPDF417.Render(objGraphics, rc);
        objGraphics.Flush();
        
        objBitmap.Save(Response.OutputStream, System.Drawing.Imaging.ImageFormat.Gif);
    }

</script>
<% OutputImg(); %>
